﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PuferFishContracts.DataModels;

namespace PuferFishContracts.BusinessLogicsContracts;

public interface IProductBusinessLogicContract
{
    List<ProductDataModel> GetAllProducts(bool onlyActive = true);
    List<ProductHistoryDataModel> GetProductHistoryByProduct(string productId);
    ProductDataModel GetProductByData(string data);
    void InsertProduct(ProductDataModel productDataModel);
    void UpdateProduct(ProductDataModel productDataModel);
    void DeleteProduct(string id);
}
