﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PuferFishContracts.DataModels;

namespace PuferFishContracts.StoragesContracts;

public interface IBuyerStorageContract
{
    List<BuyerDataModel> GetList();
    BuyerDataModel? GetElementById(string id);
    BuyerDataModel? GetElementByPhoneNumber(string phoneNumber);
    BuyerDataModel? GetElementByFIO(string fio);
    void AddElement(BuyerDataModel buyerDataModel);
    void UpdElement(BuyerDataModel buyerDataModel);
    void DelElement(string id);
}
