﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PuferFishContracts.DataModels;

namespace PuferFishContracts.StoragesContracts;

public interface IPostStorageContract
{
    List<PostDataModel> GetList(bool onlyActual = true);
    List<PostDataModel> GetPostWithHistory(string postId);
    PostDataModel? GetElementById(string id);
    PostDataModel? GetElementByName(string name);
    void AddElement(PostDataModel postDataModel);
    void UpdElement(PostDataModel postDataModel);
    void DelElement(string id);
    void ResElement(string id);
}
