﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PuferFishDataBase.Models;

internal class Buyer
{
    public required string Id { get; set; }
    public required string FIO { get; set; }
    public required string PhoneNumber { get; set; }
    public double Points { get; set; }

    [ForeignKey("BuyerId")]
    public List<Sale>? Sales { get; set; }

    [ForeignKey("BuyerId")]
    public List<Points>? Pointss { get; set; }
}
