﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PuferFishContracts.Enums;

namespace PuferFishDataBase.Models;

internal class Post
{
    public string Id { get; set; } = Guid.NewGuid().ToString();
    public required string PostId { get; set; }
    public required string PostName { get; set; }
    public PostType PostType { get; set; }
    public double Salary { get; set; }
    public bool IsActual { get; set; }
    public DateTime ChangeDate { get; set; }
}
